import request from '/@/utils/request';

export function warningPeopleApi() {
    return {

        //预警通知人员分页
        getWarnUserPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasWarnUser/page`,
                method: 'post',
                data: data
            });
        },
        //预警通知人员新增
        addWarnUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasWarnUser/add`,
                method: 'post',
                data: data
            });
        },

        //预警通知人员修改
        handelWarnUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasWarnUser/update`,
                method: 'post',
                data: data
            });
        },

        //预警通知人员删除
        delWarnUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasWarnUser/del`,
                method: 'post',
                data: data
            });
        },
    };
}